#pragma once

#include "CoreMinimal.h"
#include "SurvivorLookStatus.generated.h"

class ASurvivor;

USTRUCT(BlueprintType)
struct FSurvivorLookStatus
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	ASurvivor* OwningSurvivor;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool IsLookingAtKiller;

public:
	DBDGAMEPLAY_API FSurvivorLookStatus();
};

FORCEINLINE uint32 GetTypeHash(const FSurvivorLookStatus) { return 0; }
